%
%-------------------------------------------------------------
%
%	ROBOTRAN - Version 6.6 (build : february 22, 2008)
%
%	Copyright 
%	Universit catholique de Louvain 
%	Dpartement de Mcanique 
%	Unit de Production Mcanique et Machines 
%	2, Place du Levant 
%	1348 Louvain-la-Neuve 
%	http://www.robotran.be// 
%
%	==> Generation Date : Fri Oct  7 15:12:24 2011
%
%	==> Project name : PendulumSpring
%	==> using XML input file 
%
%	==> Number of joints : 2
%
%	==> Function : F 1 : Direct Dynamics (Semi-Explicit formulation) : RNEA
%	==> Flops complexity : 30
%
%	==> Generation Time :  0.000 seconds
%	==> Post-Processing :  0.000 seconds
%
%-------------------------------------------------------------
%
function [M,c] = dirdyna(s,tsim,usrfun)

 M = zeros(2,2);
 c = zeros(2,1);

q = s.q; 
qd = s.qd; 
qdd = s.qdd; 
frc = s.frc; 
trq = s.trq; 

% === begin imp_aux === 

% === end imp_aux === 

% ===== BEGIN task 0 ===== 

% = = Block_0_0_0_0_0_1 = = 
 
% Augmented Joint Position Vectors   

Dz23 = q(2)+s.dpt(3,1);
 
% Trigonometric Variables  

C1 = cos(q(1));
S1 = sin(q(1));

% = = Block_0_1_0_0_0_1 = = 
 
% Forward Kinematics 

AlF11 = s.g(3)*S1;

% = = Block_0_2_0_1_0_1 = = 
 
% Backward Dynamics 

FA32 = -(s.frc(3,2)+s.m(2)*(qd(1)*qd(1)*Dz23+s.g(3)*C1));
CF21 = -(s.trq(2,1)+s.trq(2,2)+Dz23*(s.frc(1,2)-s.m(2)*(AlF11+(2.0)*qd(1)*qd(2)))+s.l(3,1)*(s.frc(1,1)-s.m(1)*AlF11));
CM21_1 = s.In(5,1)+s.m(1)*s.l(3,1)*s.l(3,1)+s.m(2)*Dz23*Dz23;

% = = Block_0_3_0_0_0_0 = = 
 
% Symbolic Outputs  

M(1,1) = CM21_1;
M(2,2) = s.m(2);
c(1) = CF21;
c(2) = FA32;

% ====== END Task 0 ====== 

  

