%
%-------------------------------------------------------------
%
%	ROBOTRAN - Version 6.6 (build : february 22, 2008)
%
%	Copyright 
%	Universit catholique de Louvain 
%	Dpartement de Mcanique 
%	Unit de Production Mcanique et Machines 
%	2, Place du Levant 
%	1348 Louvain-la-Neuve 
%	http://www.robotran.be// 
%
%	==> Generation Date : Fri Oct  7 15:12:24 2011
%
%	==> Project name : PendulumSpring
%	==> using XML input file 
%
%	==> Number of joints : 2
%
%	==> Function : F 6 : Sensors Kinematical Informations (sens) 
%	==> Flops complexity : 29
%
%	==> Generation Time :  0.000 seconds
%	==> Post-Processing :  0.000 seconds
%
%-------------------------------------------------------------
%
function [sens] = gensensor(s,tsim,usrfun,isens)

 sens.P = zeros(3,1);
 sens.R = zeros(3,3);
 sens.V = zeros(3,1);
 sens.OM = zeros(3,1);
 sens.A = zeros(3,1);
 sens.OMP = zeros(3,1);
 sens.J = zeros(6,2);

q = s.q; 
qd = s.qd; 
qdd = s.qdd; 
frc = s.frc; 
trq = s.trq; 

% === begin imp_aux === 

% === end imp_aux === 

% ===== BEGIN task 0 ===== 
 
% Sensor Kinematics 



% = = Block_0_0_0_0_0_1 = = 
 
% Augmented Joint Position Vectors   

Dz23 = q(2)+s.dpt(3,1);
 
% Trigonometric Variables  

C1 = cos(q(1));
S1 = sin(q(1));

% ====== END Task 0 ====== 

% ===== BEGIN task 1 ===== 
 
switch isens

 
% 
case 1, 


% = = Block_1_0_0_1_1_0 = = 
 
% Symbolic Outputs  

sens.R(1,1) = C1;
sens.R(1,3) = -S1;
sens.R(2,2) = (1.0);
sens.R(3,1) = S1;
sens.R(3,3) = C1;
sens.OM(2) = qd(1);
sens.OMP(2) = qdd(1);
 
% 
case 2, 


% = = Block_1_0_0_2_0_1 = = 
 
% Sensor Kinematics 


RLcp1_12 = Dz23*S1;
RLcp1_32 = Dz23*C1;
ORcp1_12 = RLcp1_32*qd(1);
ORcp1_32 = -RLcp1_12*qd(1);
VIcp1_12 = ORcp1_12+qd(2)*S1;
VIcp1_32 = ORcp1_32+qd(2)*C1;
ACcp1_12 = RLcp1_32*qdd(1)+qdd(2)*S1+qd(1)*(ORcp1_32+(2.0)*qd(2)*C1);
ACcp1_32 = -(RLcp1_12*qdd(1)-qdd(2)*C1+qd(1)*(ORcp1_12+(2.0)*qd(2)*S1));

% = = Block_1_0_0_2_1_0 = = 
 
% Symbolic Outputs  

sens.P(1) = RLcp1_12;
sens.P(3) = RLcp1_32;
sens.R(1,1) = C1;
sens.R(1,3) = -S1;
sens.R(2,2) = (1.0);
sens.R(3,1) = S1;
sens.R(3,3) = C1;
sens.V(1) = VIcp1_12;
sens.V(3) = VIcp1_32;
sens.OM(2) = qd(1);
sens.A(1) = ACcp1_12;
sens.A(3) = ACcp1_32;
sens.OMP(2) = qdd(1);

end


% ====== END Task 1 ====== 

  

