%
%-------------------------------------------------------------
%
%	ROBOTRAN - Version 6.6 (build : february 22, 2008)
%
%	Copyright 
%	Universit catholique de Louvain 
%	Dpartement de Mcanique 
%	Unit de Production Mcanique et Machines 
%	2, Place du Levant 
%	1348 Louvain-la-Neuve 
%	http://www.robotran.be// 
%
%	==> Generation Date : Fri Oct  7 15:12:24 2011
%
%	==> Project name : PendulumSpring
%	==> using XML input file 
%
%	==> Number of joints : 2
%
%	==> Function : F 2 : Inverse Dynamics : RNEA
%	==> Flops complexity : 31
%
%	==> Generation Time :  0.000 seconds
%	==> Post-Processing :  0.000 seconds
%
%-------------------------------------------------------------
%
function [Qq] = invdyna(s,tsim,usrfun)

 Qq = zeros(2,1);

q = s.q; 
qd = s.qd; 
qdd = s.qdd; 
frc = s.frc; 
trq = s.trq; 

% === begin imp_aux === 

% === end imp_aux === 

% ===== BEGIN task 0 ===== 

% = = Block_0_0_0_0_0_1 = = 
 
% Augmented Joint Position Vectors   

Dz23 = q(2)+s.dpt(3,1);
 
% Trigonometric Variables  

C1 = cos(q(1));
S1 = sin(q(1));

% = = Block_0_1_0_0_0_0 = = 
 
% Forward Kinematics 

ALPHA11 = s.g(3)*S1;
 
% Backward Dynamics 

Fs32 = -(s.frc(3,2)-s.m(2)*(qdd(2)-qd(1)*qd(1)*Dz23-s.g(3)*C1));
Cq21 = -(s.trq(2,1)+s.trq(2,2)-qdd(1)*s.In(5,1)+Dz23*(s.frc(1,2)-s.m(2)*(ALPHA11+(2.0)*qd(1)*qd(2)+qdd(1)*Dz23))+s.l(3,1)*(s.frc(1,1)-s.m(1)*(...
 ALPHA11+qdd(1)*s.l(3,1))));

% = = Block_0_2_0_0_0_0 = = 
 
% Symbolic Outputs  

Qq(1) = Cq21;
Qq(2) = Fs32;

% ====== END Task 0 ====== 

  

